[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomPanel.Loaded

Performs actions needed when the component has finished loading in the LCL streaming mechanism.

## Declaration

Source position: extctrls.pp line 1148

`protected procedure TCustomPanel.Loaded; override;`

## Description

Loaded is an overridden procedure used to perform actions needed when the component has finished loading in the LCL component streaming mechanism. Loaded calls the inherited method, and calls UpdateParentColorChange to adjust the ControlStyle when ParentColor is in use.

## See also

TCustomPanel.UpdateParentColorChange |  | Updates the control to reflect changes to the ParentColor property.
TCustomPanel.ParentColor |  | Indicates if the control is drawn using the color in the parent control.
TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TComponent